# Interface Implementation

#### Hierarchy

- BaseContract
  - Implementation

- Defined in ethers-contracts/Implementation.ts:521

#####
Index

### Properties

chainId
evmChainId
filters
getCurrentGuardianSetIndex
getGuardianSet
getGuardianSetExpiry
governanceActionIsConsumed
governanceChainId
governanceContract
initialize
interface
isFork
isInitialized
messageFee
nextSequence
parseAndVerifyVM
parseContractUpgrade
parseGuardianSetUpgrade
parseRecoverChainId
parseSetMessageFee
parseTransferFees
parseVM
publishMessage
quorum
submitContractUpgrade
submitNewGuardianSet
submitRecoverChainId
submitSetMessageFee
submitTransferFees
verifySignatures
verifyVM

### Methods

connect
getEvent
getFunction
listeners
on
once
queryFilter
removeAllListeners
waitForDeployment

## Properties

### chainId

chainId: TypedContractMethod<[], [bigint], "view">

- Defined in ethers-contracts/Implementation.ts:564

### evmChainId

evmChainId: TypedContractMethod<[], [bigint], "view">

- Defined in ethers-contracts/Implementation.ts:566

### filters

filters: {
AdminChanged: TypedContractEvent<ethers_contracts.AdminChangedEvent.InputTuple, ethers_contracts.AdminChangedEvent.OutputTuple, ethers_contracts.AdminChangedEvent.OutputObject>;
AdminChanged(address,address): TypedContractEvent<ethers_contracts.AdminChangedEvent.InputTuple, ethers_contracts.AdminChangedEvent.OutputTuple, ethers_contracts.AdminChangedEvent.OutputObject>;
BeaconUpgraded: TypedContractEvent<ethers_contracts.BeaconUpgradedEvent.InputTuple, ethers_contracts.BeaconUpgradedEvent.OutputTuple, ethers_contracts.BeaconUpgradedEvent.OutputObject>;
BeaconUpgraded(address): TypedContractEvent<ethers_contracts.BeaconUpgradedEvent.InputTuple, ethers_contracts.BeaconUpgradedEvent.OutputTuple, ethers_contracts.BeaconUpgradedEvent.OutputObject>;
ContractUpgraded: TypedContractEvent<ethers_contracts.ContractUpgradedEvent.InputTuple, ethers_contracts.ContractUpgradedEvent.OutputTuple, ethers_contracts.ContractUpgradedEvent.OutputObject>;
ContractUpgraded(address,address): TypedContractEvent<ethers_contracts.ContractUpgradedEvent.InputTuple, ethers_contracts.ContractUpgradedEvent.OutputTuple, ethers_contracts.ContractUpgradedEvent.OutputObject>;
GuardianSetAdded: TypedContractEvent<ethers_contracts.GuardianSetAddedEvent.InputTuple, ethers_contracts.GuardianSetAddedEvent.OutputTuple, ethers_contracts.GuardianSetAddedEvent.OutputObject>;
GuardianSetAdded(uint32): TypedContractEvent<ethers_contracts.GuardianSetAddedEvent.InputTuple, ethers_contracts.GuardianSetAddedEvent.OutputTuple, ethers_contracts.GuardianSetAddedEvent.OutputObject>;
LogMessagePublished: TypedContractEvent<ethers_contracts.LogMessagePublishedEvent.InputTuple, ethers_contracts.LogMessagePublishedEvent.OutputTuple, ethers_contracts.LogMessagePublishedEvent.OutputObject>;
LogMessagePublished(address,uint64,uint32,bytes,uint8): TypedContractEvent<ethers_contracts.LogMessagePublishedEvent.InputTuple, ethers_contracts.LogMessagePublishedEvent.OutputTuple, ethers_contracts.LogMessagePublishedEvent.OutputObject>;
Upgraded: TypedContractEvent<ethers_contracts.UpgradedEvent.InputTuple, ethers_contracts.UpgradedEvent.OutputTuple, ethers_contracts.UpgradedEvent.OutputObject>;
Upgraded(address): TypedContractEvent<ethers_contracts.UpgradedEvent.InputTuple, ethers_contracts.UpgradedEvent.OutputTuple, ethers_contracts.UpgradedEvent.OutputObject>;
}

#### Type declaration

- ##### AdminChanged: TypedContractEvent<ethers_contracts.AdminChangedEvent.InputTuple, ethers_contracts.AdminChangedEvent.OutputTuple, ethers_contracts.AdminChangedEvent.OutputObject>

- ##### AdminChanged(address,address): TypedContractEvent<ethers_contracts.AdminChangedEvent.InputTuple, ethers_contracts.AdminChangedEvent.OutputTuple, ethers_contracts.AdminChangedEvent.OutputObject>

- ##### BeaconUpgraded: TypedContractEvent<ethers_contracts.BeaconUpgradedEvent.InputTuple, ethers_contracts.BeaconUpgradedEvent.OutputTuple, ethers_contracts.BeaconUpgradedEvent.OutputObject>

- ##### BeaconUpgraded(address): TypedContractEvent<ethers_contracts.BeaconUpgradedEvent.InputTuple, ethers_contracts.BeaconUpgradedEvent.OutputTuple, ethers_contracts.BeaconUpgradedEvent.OutputObject>

- ##### ContractUpgraded: TypedContractEvent<ethers_contracts.ContractUpgradedEvent.InputTuple, ethers_contracts.ContractUpgradedEvent.OutputTuple, ethers_contracts.ContractUpgradedEvent.OutputObject>

- ##### ContractUpgraded(address,address): TypedContractEvent<ethers_contracts.ContractUpgradedEvent.InputTuple, ethers_contracts.ContractUpgradedEvent.OutputTuple, ethers_contracts.ContractUpgradedEvent.OutputObject>

- ##### GuardianSetAdded: TypedContractEvent<ethers_contracts.GuardianSetAddedEvent.InputTuple, ethers_contracts.GuardianSetAddedEvent.OutputTuple, ethers_contracts.GuardianSetAddedEvent.OutputObject>

- ##### GuardianSetAdded(uint32): TypedContractEvent<ethers_contracts.GuardianSetAddedEvent.InputTuple, ethers_contracts.GuardianSetAddedEvent.OutputTuple, ethers_contracts.GuardianSetAddedEvent.OutputObject>

- ##### LogMessagePublished: TypedContractEvent<ethers_contracts.LogMessagePublishedEvent.InputTuple, ethers_contracts.LogMessagePublishedEvent.OutputTuple, ethers_contracts.LogMessagePublishedEvent.OutputObject>

- ##### LogMessagePublished(address,uint64,uint32,bytes,uint8): TypedContractEvent<ethers_contracts.LogMessagePublishedEvent.InputTuple, ethers_contracts.LogMessagePublishedEvent.OutputTuple, ethers_contracts.LogMessagePublishedEvent.OutputObject>

- ##### Upgraded: TypedContractEvent<ethers_contracts.UpgradedEvent.InputTuple, ethers_contracts.UpgradedEvent.OutputTuple, ethers_contracts.UpgradedEvent.OutputObject>

- ##### Upgraded(address): TypedContractEvent<ethers_contracts.UpgradedEvent.InputTuple, ethers_contracts.UpgradedEvent.OutputTuple, ethers_contracts.UpgradedEvent.OutputObject>

Overrides BaseContract.filters

- Defined in ethers-contracts/Implementation.ts:887

### getCurrentGuardianSetIndex

getCurrentGuardianSetIndex: TypedContractMethod<[], [bigint], "view">

- Defined in ethers-contracts/Implementation.ts:568

### getGuardianSet

getGuardianSet: TypedContractMethod<[index: BigNumberish], [GuardianSetStructOutput], "view">

- Defined in ethers-contracts/Implementation.ts:570

### getGuardianSetExpiry

getGuardianSetExpiry: TypedContractMethod<[], [bigint], "view">

- Defined in ethers-contracts/Implementation.ts:576

### governanceActionIsConsumed

governanceActionIsConsumed: TypedContractMethod<[hash: BytesLike], [boolean], "view">

- Defined in ethers-contracts/Implementation.ts:578

### governanceChainId

governanceChainId: TypedContractMethod<[], [bigint], "view">

- Defined in ethers-contracts/Implementation.ts:584

### governanceContract

governanceContract: TypedContractMethod<[], [string], "view">

- Defined in ethers-contracts/Implementation.ts:586

### initialize

initialize: TypedContractMethod<[], [void], "nonpayable">

- Defined in ethers-contracts/Implementation.ts:588

### interface

interface: ImplementationInterface

Overrides BaseContract.interface

- Defined in ethers-contracts/Implementation.ts:525

### isFork

isFork: TypedContractMethod<[], [boolean], "view">

- Defined in ethers-contracts/Implementation.ts:590

### isInitialized

isInitialized: TypedContractMethod<[impl: AddressLike], [boolean], "view">

- Defined in ethers-contracts/Implementation.ts:592

### messageFee

messageFee: TypedContractMethod<[], [bigint], "view">

- Defined in ethers-contracts/Implementation.ts:594

### nextSequence

nextSequence: TypedContractMethod<[emitter: AddressLike], [bigint], "view">

- Defined in ethers-contracts/Implementation.ts:596

### parseAndVerifyVM

parseAndVerifyVM: TypedContractMethod<[encodedVM: BytesLike], [[VMStructOutput, boolean, string] & {
reason: string;
valid: boolean;
vm: VMStructOutput;
}], "view">

- Defined in ethers-contracts/Implementation.ts:598

### parseContractUpgrade

parseContractUpgrade: TypedContractMethod<[encodedUpgrade: BytesLike], [ContractUpgradeStructOutput], "view">

- Defined in ethers-contracts/Implementation.ts:610

### parseGuardianSetUpgrade

parseGuardianSetUpgrade: TypedContractMethod<[encodedUpgrade: BytesLike], [GuardianSetUpgradeStructOutput], "view">

- Defined in ethers-contracts/Implementation.ts:616

### parseRecoverChainId

parseRecoverChainId: TypedContractMethod<[encodedRecoverChainId: BytesLike], [RecoverChainIdStructOutput], "view">

- Defined in ethers-contracts/Implementation.ts:622

### parseSetMessageFee

parseSetMessageFee: TypedContractMethod<[encodedSetMessageFee: BytesLike], [SetMessageFeeStructOutput], "view">

- Defined in ethers-contracts/Implementation.ts:628

### parseTransferFees

parseTransferFees: TypedContractMethod<[encodedTransferFees: BytesLike], [TransferFeesStructOutput], "view">

- Defined in ethers-contracts/Implementation.ts:634

### parseVM

parseVM: TypedContractMethod<[encodedVM: BytesLike], [VMStructOutput], "view">

- Defined in ethers-contracts/Implementation.ts:640

### publishMessage

publishMessage: TypedContractMethod<[nonce: BigNumberish, payload: BytesLike, consistencyLevel: BigNumberish], [bigint], "payable">

- Defined in ethers-contracts/Implementation.ts:646

### quorum

quorum: TypedContractMethod<[numGuardians: BigNumberish], [bigint], "view">

- Defined in ethers-contracts/Implementation.ts:652

### submitContractUpgrade

submitContractUpgrade: TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- Defined in ethers-contracts/Implementation.ts:654

### submitNewGuardianSet

submitNewGuardianSet: TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- Defined in ethers-contracts/Implementation.ts:660

### submitRecoverChainId

submitRecoverChainId: TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- Defined in ethers-contracts/Implementation.ts:666

### submitSetMessageFee

submitSetMessageFee: TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- Defined in ethers-contracts/Implementation.ts:672

### submitTransferFees

submitTransferFees: TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- Defined in ethers-contracts/Implementation.ts:678

### verifySignatures

verifySignatures: TypedContractMethod<[hash: BytesLike, signatures: SignatureStruct[], guardianSet: GuardianSetStruct], [[boolean, string] & {
reason: string;
valid: boolean;
}], "view">

- Defined in ethers-contracts/Implementation.ts:684

### verifyVM

verifyVM: TypedContractMethod<[vm: VMStruct], [[boolean, string] & {
reason: string;
valid: boolean;
}], "view">

- Defined in ethers-contracts/Implementation.ts:694

## Methods

### connect

- connect(runner?): Implementation

- #### Parameters

  - ##### `Optional` runner: ContractRunner

  #### Returns Implementation

  Overrides BaseContract.connect

  - Defined in ethers-contracts/Implementation.ts:522

### getEvent

- getEvent(key): TypedContractEvent<ethers_contracts.AdminChangedEvent.InputTuple, ethers_contracts.AdminChangedEvent.OutputTuple, ethers_contracts.AdminChangedEvent.OutputObject>

- #### Parameters

  - ##### key: "AdminChanged"

  #### Returns TypedContractEvent<ethers_contracts.AdminChangedEvent.InputTuple, ethers_contracts.AdminChangedEvent.OutputTuple, ethers_contracts.AdminChangedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in ethers-contracts/Implementation.ts:844
- getEvent(key): TypedContractEvent<ethers_contracts.BeaconUpgradedEvent.InputTuple, ethers_contracts.BeaconUpgradedEvent.OutputTuple, ethers_contracts.BeaconUpgradedEvent.OutputObject>

- #### Parameters

  - ##### key: "BeaconUpgraded"

  #### Returns TypedContractEvent<ethers_contracts.BeaconUpgradedEvent.InputTuple, ethers_contracts.BeaconUpgradedEvent.OutputTuple, ethers_contracts.BeaconUpgradedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in ethers-contracts/Implementation.ts:851
- getEvent(key): TypedContractEvent<ethers_contracts.ContractUpgradedEvent.InputTuple, ethers_contracts.ContractUpgradedEvent.OutputTuple, ethers_contracts.ContractUpgradedEvent.OutputObject>

- #### Parameters

  - ##### key: "ContractUpgraded"

  #### Returns TypedContractEvent<ethers_contracts.ContractUpgradedEvent.InputTuple, ethers_contracts.ContractUpgradedEvent.OutputTuple, ethers_contracts.ContractUpgradedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in ethers-contracts/Implementation.ts:858
- getEvent(key): TypedContractEvent<ethers_contracts.GuardianSetAddedEvent.InputTuple, ethers_contracts.GuardianSetAddedEvent.OutputTuple, ethers_contracts.GuardianSetAddedEvent.OutputObject>

- #### Parameters

  - ##### key: "GuardianSetAdded"

  #### Returns TypedContractEvent<ethers_contracts.GuardianSetAddedEvent.InputTuple, ethers_contracts.GuardianSetAddedEvent.OutputTuple, ethers_contracts.GuardianSetAddedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in ethers-contracts/Implementation.ts:865
- getEvent(key): TypedContractEvent<ethers_contracts.LogMessagePublishedEvent.InputTuple, ethers_contracts.LogMessagePublishedEvent.OutputTuple, ethers_contracts.LogMessagePublishedEvent.OutputObject>

- #### Parameters

  - ##### key: "LogMessagePublished"

  #### Returns TypedContractEvent<ethers_contracts.LogMessagePublishedEvent.InputTuple, ethers_contracts.LogMessagePublishedEvent.OutputTuple, ethers_contracts.LogMessagePublishedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in ethers-contracts/Implementation.ts:872
- getEvent(key): TypedContractEvent<ethers_contracts.UpgradedEvent.InputTuple, ethers_contracts.UpgradedEvent.OutputTuple, ethers_contracts.UpgradedEvent.OutputObject>

- #### Parameters

  - ##### key: "Upgraded"

  #### Returns TypedContractEvent<ethers_contracts.UpgradedEvent.InputTuple, ethers_contracts.UpgradedEvent.OutputTuple, ethers_contracts.UpgradedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in ethers-contracts/Implementation.ts:879

### getFunction

- getFunction<T>(key): T

- #### Type Parameters

  - #### T extends ContractMethod<any[], any, any> = ContractMethod<any[], any, any>

  #### Parameters

  - ##### key: string | FunctionFragment

  #### Returns T

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:700
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "chainId"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:704
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "evmChainId"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:707
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "getCurrentGuardianSetIndex"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:710
- getFunction(nameOrSignature): TypedContractMethod<[index: BigNumberish], [GuardianSetStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "getGuardianSet"

  #### Returns TypedContractMethod<[index: BigNumberish], [GuardianSetStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:713
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "getGuardianSetExpiry"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:720
- getFunction(nameOrSignature): TypedContractMethod<[hash: BytesLike], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "governanceActionIsConsumed"

  #### Returns TypedContractMethod<[hash: BytesLike], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:723
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "governanceChainId"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:726
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "governanceContract"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:729
- getFunction(nameOrSignature): TypedContractMethod<[], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "initialize"

  #### Returns TypedContractMethod<[], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:732
- getFunction(nameOrSignature): TypedContractMethod<[], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "isFork"

  #### Returns TypedContractMethod<[], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:735
- getFunction(nameOrSignature): TypedContractMethod<[impl: AddressLike], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "isInitialized"

  #### Returns TypedContractMethod<[impl: AddressLike], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:738
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "messageFee"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:741
- getFunction(nameOrSignature): TypedContractMethod<[emitter: AddressLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "nextSequence"

  #### Returns TypedContractMethod<[emitter: AddressLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:744
- getFunction(nameOrSignature): TypedContractMethod<[encodedVM: BytesLike], [[VMStructOutput, boolean, string] & {
  reason: string;
  valid: boolean;
  vm: VMStructOutput;
  }], "view">

- #### Parameters

  - ##### nameOrSignature: "parseAndVerifyVM"

  #### Returns TypedContractMethod<[encodedVM: BytesLike], [[VMStructOutput, boolean, string] & {
  reason: string;
  valid: boolean;
  vm: VMStructOutput;
  }], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:747
- getFunction(nameOrSignature): TypedContractMethod<[encodedUpgrade: BytesLike], [ContractUpgradeStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseContractUpgrade"

  #### Returns TypedContractMethod<[encodedUpgrade: BytesLike], [ContractUpgradeStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:758
- getFunction(nameOrSignature): TypedContractMethod<[encodedUpgrade: BytesLike], [GuardianSetUpgradeStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseGuardianSetUpgrade"

  #### Returns TypedContractMethod<[encodedUpgrade: BytesLike], [GuardianSetUpgradeStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:765
- getFunction(nameOrSignature): TypedContractMethod<[encodedRecoverChainId: BytesLike], [RecoverChainIdStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseRecoverChainId"

  #### Returns TypedContractMethod<[encodedRecoverChainId: BytesLike], [RecoverChainIdStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:772
- getFunction(nameOrSignature): TypedContractMethod<[encodedSetMessageFee: BytesLike], [SetMessageFeeStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseSetMessageFee"

  #### Returns TypedContractMethod<[encodedSetMessageFee: BytesLike], [SetMessageFeeStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:779
- getFunction(nameOrSignature): TypedContractMethod<[encodedTransferFees: BytesLike], [TransferFeesStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseTransferFees"

  #### Returns TypedContractMethod<[encodedTransferFees: BytesLike], [TransferFeesStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:786
- getFunction(nameOrSignature): TypedContractMethod<[encodedVM: BytesLike], [VMStructOutput], "view">

- #### Parameters

  - ##### nameOrSignature: "parseVM"

  #### Returns TypedContractMethod<[encodedVM: BytesLike], [VMStructOutput], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:793
- getFunction(nameOrSignature): TypedContractMethod<[nonce: BigNumberish, payload: BytesLike, consistencyLevel: BigNumberish], [bigint], "payable">

- #### Parameters

  - ##### nameOrSignature: "publishMessage"

  #### Returns TypedContractMethod<[nonce: BigNumberish, payload: BytesLike, consistencyLevel: BigNumberish], [bigint], "payable">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:800
- getFunction(nameOrSignature): TypedContractMethod<[numGuardians: BigNumberish], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "quorum"

  #### Returns TypedContractMethod<[numGuardians: BigNumberish], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:807
- getFunction(nameOrSignature): TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "submitContractUpgrade"

  #### Returns TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:810
- getFunction(nameOrSignature): TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "submitNewGuardianSet"

  #### Returns TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:813
- getFunction(nameOrSignature): TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "submitRecoverChainId"

  #### Returns TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:816
- getFunction(nameOrSignature): TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "submitSetMessageFee"

  #### Returns TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:819
- getFunction(nameOrSignature): TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "submitTransferFees"

  #### Returns TypedContractMethod<[_vm: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:822
- getFunction(nameOrSignature): TypedContractMethod<[hash: BytesLike, signatures: SignatureStruct[], guardianSet: GuardianSetStruct], [[boolean, string] & {
  reason: string;
  valid: boolean;
  }], "view">

- #### Parameters

  - ##### nameOrSignature: "verifySignatures"

  #### Returns TypedContractMethod<[hash: BytesLike, signatures: SignatureStruct[], guardianSet: GuardianSetStruct], [[boolean, string] & {
  reason: string;
  valid: boolean;
  }], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:825
- getFunction(nameOrSignature): TypedContractMethod<[vm: VMStruct], [[boolean, string] & {
  reason: string;
  valid: boolean;
  }], "view">

- #### Parameters

  - ##### nameOrSignature: "verifyVM"

  #### Returns TypedContractMethod<[vm: VMStruct], [[boolean, string] & {
  reason: string;
  valid: boolean;
  }], "view">

  Overrides BaseContract.getFunction

  - Defined in ethers-contracts/Implementation.ts:836

### listeners

- listeners<TCEvent>(event): Promise<TypedListener<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  #### Returns Promise<TypedListener<TCEvent>[]>

  Overrides BaseContract.listeners

  - Defined in ethers-contracts/Implementation.ts:556
- listeners(eventName?): Promise<Listener[]>

- #### Parameters

  - ##### `Optional` eventName: string

  #### Returns Promise<Listener[]>

  Overrides BaseContract.listeners

  - Defined in ethers-contracts/Implementation.ts:559

### on

- on<TCEvent>(event, listener): Promise<Implementation>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<Implementation>

  Overrides BaseContract.on

  - Defined in ethers-contracts/Implementation.ts:538
- on<TCEvent>(filter, listener): Promise<Implementation>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<Implementation>

  Overrides BaseContract.on

  - Defined in ethers-contracts/Implementation.ts:542

### once

- once<TCEvent>(event, listener): Promise<Implementation>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<Implementation>

  Overrides BaseContract.once

  - Defined in ethers-contracts/Implementation.ts:547
- once<TCEvent>(filter, listener): Promise<Implementation>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<Implementation>

  Overrides BaseContract.once

  - Defined in ethers-contracts/Implementation.ts:551

### queryFilter

- queryFilter<TCEvent>(event, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in ethers-contracts/Implementation.ts:527
- queryFilter<TCEvent>(filter, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in ethers-contracts/Implementation.ts:532

### removeAllListeners

- removeAllListeners<TCEvent>(event?): Promise<Implementation>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### `Optional` event: TCEvent

  #### Returns Promise<Implementation>

  Overrides BaseContract.removeAllListeners

  - Defined in ethers-contracts/Implementation.ts:560

### waitForDeployment

- waitForDeployment(): Promise<Implementation>

- #### Returns Promise<Implementation>

  Overrides BaseContract.waitForDeployment

  - Defined in ethers-contracts/Implementation.ts:523

Generated using TypeDoc